<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">celGameClientManager Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classcelGameClientManager.html">celGameClientManager</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classcelGameClientManager.html#abd024e8b9617a69d068aacd9c343f8e6">ClientEnd</a>()=0</td><td><a class="el" href="classcelGameClientManager.html">celGameClientManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classcelGameClientManager.html#a5ebea8bf343b566d6817aabf566bf621">CreateNetworkLinkTarget</a>(celNetworkLinkType link_type, csTicks creation_time, iCelPersistentDataList *creation_data, bool player_controlled)=0</td><td><a class="el" href="classcelGameClientManager.html">celGameClientManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classcelGameClientManager.html#a968634071bd19f2e641947140b4ce3c8">HandleServerEvent</a>(celServerEventType event_type, csTicks event_time, iCelDataBuffer *event_data)=0</td><td><a class="el" href="classcelGameClientManager.html">celGameClientManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classcelGameClientManager.html#a237ee6c3a3904eafd3d021f06558ee4b">LevelChanged</a>(celGameInfo *new_game)=0</td><td><a class="el" href="classcelGameClientManager.html">celGameClientManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classcelGameClientManager.html#a1a42f602531b4a95ff887f11058ea677">NetworkLinkControlChanged</a>(iCelEntity *entity, bool player_controlled)=0</td><td><a class="el" href="classcelGameClientManager.html">celGameClientManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classcelGameClientManager.html#aa5b2a07488d63ffc26c7c401381a3ea6">NetworkLinkRemoved</a>(csTicks deletion_time, iCelEntity *entity)=0</td><td><a class="el" href="classcelGameClientManager.html">celGameClientManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classcelGameClientManager.html#a8527af0860e7ecdef1053f7db9d4dd32">PlayerValidated</a>(celPlayer *player)=0</td><td><a class="el" href="classcelGameClientManager.html">celGameClientManager</a></td><td><code> [pure virtual]</code></td></tr>
</table></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
